package com.nantian.cloud.dbcapp.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.nantian.cloud.dbcapp.entity.ConfigureDataCollectNew;
import com.nantian.cloud.dbcapp.entity.TConfigureEnergykinds;

import java.util.List;
import java.util.Map;

public interface TConfigureEnergykindsService extends IService<TConfigureEnergykinds> {
    List<TConfigureEnergykinds> getInfo();
    List<Map<String, Object>> getList(String epc);
    List<Map<String, Object>> getKindsList(String epc);

    List<Map<String, Object>> getNewKindsList(String epc);

    List<Map<String, Object>> getCollectList(String epc,String baseCode);

    Boolean updateDataCodeOld(ConfigureDataCollectNew configureDataCollectNew);

    List<Map<String, Object>> getNoCollectList(String epc, String baseCode);

}
